#!/bin/sh 
# script will do the following :
# 1. Search under PATHNAME for any file that is name FILENAME
# 2. Save the output to OUTFILE
# 3. It will then run the CSEXEC program on each file in the OUTFILE
# 4. The CSEXEC will over-write the old file with the new data of 88 lines
# 5. It will display error if CDEXEC encounter any problem
#
 
# Modify these parameters if they are changed
#
PATHNAME="/var/nn/CallPilot"
DATALEN=88
FILENAME="MBxProf.50"
OUTFILE="/tmp/mboxesForConversion"
CSEXEC="/nn/bin/changesize"
#
 
/bin/rm -f ${OUTFILE}
 
find ${PATHNAME} -name ${FILENAME} > ${OUTFILE}
 
RETURN=0
for file in `cat ${OUTFILE}`
do
   ${CSEXEC} ${file} ${DATALEN}
   STATUS=$?
   if [ ${STATUS} != 0 ]; then
      RETURN=$STATUS
   fi

   if [ ${STATUS} = 0 ]; then
      echo "${file} Completed Successfully" 
   elif [ ${STATUS} = 1 ]; then
      echo "Returns 1 For ${file} No File Inputed"
   elif [ ${STATUS} = 2 ]; then
      echo "Returns 2 For ${file} Permission Denied, file might be read only"
   elif [ ${STATUS} = 3 ]; then
      echo "Returns 3 For ${file} Unknow Error"
   elif [ ${STATUS} = 4 ]; then
      echo "Returns 4 For ${file} No Such File or Directory"
   elif [ ${STATUS} = 5 ]; then
      echo "Returns 5 For ${file} Size inputed was not an Integer"
   elif [ ${STATUS} = 6 ]; then
      echo "Returns 6 ${file} For this Help File"
   elif [ ${STATUS} = 7 ]; then
      echo "Returns 7 For ${file} Failed to Change the Size of the File"
   else
      echo "Unknown status ${STATUS} For ${file}"
   fi
done

/bin/rm -f ${OUTFILE}

exit $RETURN 
